		//This module controls the data written to the SRAM

		module writerammod(clk, inputdata, wein, data, addr, we);

		input clk;

		//Write Enable
		input wein;
		//modifed data from the EPROM
		input [2:0] inputdata;
		//8 bits written to the SRAM
		output [7:0] data;
		//16 bits for the 65536 lines of the SRAM
		output [15:0] addr;
		//Output to Write enable
		output we;
		reg [15:0] addrtemp;
		reg [7:0] data;

		// This continuous assign statement is for the purpose of connecting
		// a switch from the board to the write enable of the SRAM
		assign we = wein;

		//Write data on negative edge of the clock to allow input data to 
		//stabilize as it arrives on the positve edge

		always @(negedge clk)

		begin
		//Write 0s to the top 5 bits of each lines, since we are only 
		//concerned in the lowest 3 bits	
				data[7] = 0;
				data[6] = 0;
				data[5] = 0;
				data[4] = 0;
				data[3] = 0;
		//Write RGB data to the SRAM
				data[2] = inputdata[2];
				data[1] = inputdata[1];
				data[0] = inputdata[0];


		// Increment the address of the SRAM
				addrtemp= addrtemp+1;
	
		end

		assign addr = addrtemp;
		endmodule
